<template>
    <div>
        <nav class="flex items-center h-16 px-5 gap-2">
            <a href="/"><h1 class="font-bold text-2xl mr-2">RISCy containers</h1></a>
            <a href="/containers">Our containers</a>
            <a href="/suggest">Suggest a new container</a>
            <a href="/blog">Blog</a>
            <div class="ml-auto flex flex-row gap-2">
                <a href="https://gitlab.com/nirvati/risc-v" aria-label="Our GitLab repository">
                    <UIcon name="i-ph-gitlab-logo" class="w-6 h-6 text-gray-500 cursor-pointer" />
                </a>
                <a href="https://opencollective.com/nirvati/projects/risv-v" aria-label="Donate">
                    <UIcon name="i-simple-icons-opencollective" class="my-[0.125rem] w-5 h-5 text-gray-500 cursor-pointer" />
                </a>
                <UIcon aria-hidden name="i-ph-moon" v-if="colorMode.value === 'dark'" @click="colorMode.preference = 'light'" class="w-6 h-6 text-gray-500 cursor-pointer" />
                <UIcon aria-hidden name="i-ph-sun" v-else @click="colorMode.preference = 'dark'" class="w-6 h-6 text-gray-500 cursor-pointer" />
            </div>
        </nav>
        <slot></slot>
        <div class="flex items-center justify-center h-16 px-5">
            <span class="font-mono">Built by <a href="https://nirvati.org" class="underline">Nirvati</a>.</span>
        </div>
    </div>
</template>

<script setup lang="ts">
const colorMode = useColorMode();
</script>